summaryrefslogtreecommitdiffstats
path: root/extras/apache-deploy/uninstall.sh
diff options
context:
space:
mode:
Diffstat (limited to 'extras/apache-deploy/uninstall.sh')
-rwxr-xr-xextras/apache-deploy/uninstall.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/extras/apache-deploy/uninstall.sh b/extras/apache-deploy/uninstall.sh
new file mode 100755
index 0000000..e5841bc
--- /dev/null
+++ b/extras/apache-deploy/uninstall.sh
@@ -0,0 +1,19 @@
+#!/bin/sh -x
+
+# For Fedora/RHEL ONLY
+
+if [ $EUID -ne 0 ]; then
+ echo "This script must be run as root"
+ exit 1
+fi
+
+# Stop Apache service
+service httpd stop
+
+# Remove swift wsgi files
+rm -rf /var/www/swift
+
+# Remove swift httpd config file
+rm -f /etc/httpd/conf.d/swift_wsgi.conf
+
+echo -e "DONE.\nYou can now restart Swift."